Bug 111996 - Unable to make modules_install on x440
Unable to make modules_install on x440
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-12 11:46 EST by keith mannth
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: RHEL3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-17 23:41:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description keith mannth 2003-12-12 11:46:16 EST
Description of problem:  I am unable to make module_install on my
system.  


Version-Release number of selected component (if applicable):
  I don't know which componet is responsible for this.  Everyting on
this system is from the AS2.1 update 3 beta iso's (re1201.0).

How reproducible:  All the time.  


Steps to Reproduce:
1.  Install re1201.0 iso images on system. 
2.  cd to /usr/src/linux-2.4
3.  run make oldconfig; make dep; make bzImage; make modules; make
modules_install;
  
Actual results:

[root@elm3b59 linux-2.4.9-e.31]# make  modules_install
...
install -m 755 ulib/libredhat-kernel.so.1.0.1
/lib/kernel/2.4.9-e.31custom/
install: cannot stat `ulib/libredhat-kernel.so.1.0.1': No such file or
directory
make: *** [_modinst_kernel] Error 1

Expected results:
  I expect the modules to be installed.

Additional info:
  This is a summit based x440 system.  See bug 11783 for more info
about system.
Comment 1 Arjan van de Ven 2003-12-12 11:48:24 EST
not a kernel bug :)

also custom kernel builds are not supported.

One of the steps you missed was a "make mrproper" as first step fwiw...
Comment 3 Doug Ledford 2005-10-17 23:41:35 EDT
This is a very old, and inactive, bug report.  Closing.

Note You need to log in before you can comment on or make changes to this bug.